Bug 1733897 - [sriov-operator]Failed to init the VF for mellanox_plugin
Summary: [sriov-operator]Failed to init the VF for mellanox_plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 4.2.0
Assignee: Peng Liu
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 07:21 UTC by zhaozhanqi
Modified: 2019-10-16 06:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:33:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:34:05 UTC

Comment 1 Peng Liu 2019-07-29 08:51:53 UTC
Upstream issue: https://github.com/openshift/sriov-network-operator/issues/43

Comment 2 Peng Liu 2019-07-31 08:08:44 UTC
mstconfig requires 'rw' permission of sysfs. However in the container, the sysfs is mounted as 'ro'.

[root@dell-per740-14 /]# cat /proc/mounts | grep sysfs
sysfs /sys sysfs ro,seclabel,nosuid,nodev,noexec,relatime 0 0
sysfs /host/sys sysfs rw,seclabel,nosuid,nodev,noexec,relatime 0 0
sysfs /host/var/lib/containers/storage/overlay/e34d48d94d879727aec1bd4a768535d1ec72f8f20fbc9279ec750254717c2fca/merged/sys sysfs ro,seclabel,nosuid,nodev,noexec,relatime 0 0

Comment 3 Peng Liu 2019-08-01 15:28:09 UTC
This bug is likely cause by this bug https://github.com/cri-o/cri-o/issues/2625 of CRI-O. It should work after the bug fix get merged in downstream CRI-O build.

Comment 4 Peng Liu 2019-08-08 09:00:56 UTC
CRI-O fixed has been released in RHCOS build 42.80.20190807.3

Comment 5 zhaozhanqi 2019-08-13 13:26:37 UTC
Verified this bug on Red Hat Enterprise Linux CoreOS 42.80.20190808.0


    - Vfs:
      - deviceID: "1018"
        driver: vfio-pci
        pciAddress: 0000:5e:00.2
        vendor: 15b3
      - deviceID: "1018"
        driver: vfio-pci
        pciAddress: 0000:5e:00.3
        vendor: 15b3
      deviceID: "1017"
      driver: mlx5_core
      mtu: 1500
      name: ens3f0
      numVfs: 2
      pciAddress: 0000:5e:00.0
      totalvfs: 2
      vendor: 15b3

Comment 6 errata-xmlrpc 2019-10-16 06:33:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.